Bug 224857 - NullPointerException at org.netbeans.modules.hudson.ui.nodes.HudsonInstanceNode.getProjectInfoString
NullPointerException at org.netbeans.modules.hudson.ui.nodes.HudsonInstanceNo...
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
7.3
All All
: P1 (vote)
: 7.3
Assigned To: Jaroslav Havlin
issues@connecteddeveloper
EXCEPTIONS_REPORT
: 73_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 15:44 UTC by Tomas Stupka
Modified: 2013-01-21 15:32 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.66 KB, text/plain)
2013-01-14 15:44 UTC, Tomas Stupka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2013-01-14 15:44:08 UTC
Build: NetBeans IDE Dev (Build 20130114-2b3f4094010e)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.12-b01-434, Java(TM) SE Runtime Environment, 1.6.0_37-b06-434-11M3909
OS: Mac OS X

User Comments:
tstupka: tried t register a new hudson builder




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.hudson.ui.nodes.HudsonInstanceNode.getProjectInfoString(HudsonInstanceNode.java:143)
   at org.netbeans.modules.hudson.ui.nodes.HudsonInstanceNode.getHtmlDisplayName(HudsonInstanceNode.java:128)
   at org.netbeans.modules.hudson.ui.nodes.HudsonInstanceNode.refreshState(HudsonInstanceNode.java:179)
   at org.netbeans.modules.hudson.ui.nodes.HudsonInstanceNode.access$000(HudsonInstanceNode.java:75)
   at org.netbeans.modules.hudson.ui.nodes.HudsonInstanceNode$1.stateChanged(HudsonInstanceNode.java:103)
   at org.netbeans.modules.hudson.impl.HudsonInstanceImpl.fireStateChanges(HudsonInstanceImpl.java:438)
Comment 1 Tomas Stupka 2013-01-14 15:44:10 UTC
Created attachment 130190 [details]
stacktrace
Comment 2 Tomas Stupka 2013-01-14 15:49:22 UTC
brach team_support

- after the exception was raised the builder node wasn't listed in the services tab, but on retry the msg was that there already is a server registered with the url
- after restart the server was listed in services and everything seemed to work fine
Comment 3 Jaroslav Havlin 2013-01-14 16:32:02 UTC
I can reproduce the bug on branch default. Increasing priority.
Comment 4 Jaroslav Havlin 2013-01-14 17:01:45 UTC
Fixed in http://hg.netbeans.org/core-main/rev/484f89e3e10d
Please verify. Thank you.
Comment 5 Quality Engineering 2013-01-15 07:28:00 UTC
Integrated into 'main-golden', will be available in build *201301150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/484f89e3e10d
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #224857: NPE at o.n.m.hudson.ui.nodes.HudsonInstanceNode.getProjectInfoString
Comment 6 Tomas Danek 2013-01-16 12:00:43 UTC
verified in Product Version: NetBeans IDE Dev (Build 201301160001)
Java: 1.7.0_11; Java HotSpot(TM) 64-Bit Server VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Mac OS X version 10.8.2 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/dev
Cache directory: /Users/tomas/Library/Caches/NetBeans/dev

please backport to 7.3. Thanks in advance.
Comment 7 Quality Engineering 2013-01-17 00:01:25 UTC
Integrated into 'releases', will be available in build *201301162100* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/01b1571770b0
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #224857: NPE at o.n.m.hudson.ui.nodes.HudsonInstanceNode.getProjectInfoString
Comment 8 Jaroslav Havlin 2013-01-17 07:53:18 UTC
(In reply to comment #6)
> verified in Product Version: NetBeans IDE Dev (Build 201301160001)
Thank you very much, Tomas.
Marking as 73_HR_FIX.
Comment 9 Tomas Danek 2013-01-21 15:32:31 UTC
thanks, verified in 

Product Version: NetBeans IDE 7.3 RC1 (Build 201301202100)
Java: 1.7.0_11; Java HotSpot(TM) 64-Bit Server VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Mac OS X version 10.8.2 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/7.3rc1
Cache directory: /Users/tomas/Library/Caches/NetBeans/7.3rc1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo